## org.opencyc.chat
Class IrcChat.DccClientHandlerThread

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.opencyc.chat.IrcChat.DccClientHandlerThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  IrcChat

public class IrcChat.DccClientHandlerThread
extends java.lang.Thread

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`IrcChat.DccClientHandlerThread(IrcChat ircBot, java.net.Socket socket)`

Method Summary
`void` `disconnect()`
`void` `println(java.lang.String message)`
`void` `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IrcChat.DccClientHandlerThread

    public IrcChat.DccClientHandlerThread(IrcChat ircBot,
                                          java.net.Socket socket)

Method Detail

### println

    public void println(java.lang.String message)

### run

    public void run()

  Overrides:
    `run` in class `java.lang.Thread`

### disconnect

    public void disconnect()